## ros-indigo-arbotix-sensors 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(arbotix_sensors)

find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(PROGRAMS bin/ir_ranger.py bin/max_sonar.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-arbotix-sensors (0.10.0-0trusty) trusty; urgency=high

  * Set queue_size=5 on all publishers
  * Contributors: Jorge Santos

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 14 Jul 2014 07:00:00 -0000

ros-indigo-arbotix-sensors (0.9.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 12 Feb 2014 08:00:00 -0000

ros-indigo-arbotix-sensors (0.9.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 28 Jan 2014 08:00:00 -0000

ros-indigo-arbotix-sensors (0.9.0-0trusty) trusty; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 22 Aug 2013 07:00:00 -0000

ros-indigo-arbotix-sensors (0.8.2-0trusty) trusty; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 28 Mar 2013 07:00:00 -0000

ros-indigo-arbotix-sensors (0.8.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 09 Mar 2013 08:00:00 -0000

ros-indigo-arbotix-sensors (0.8.0-0trusty) trusty; urgency=high

  * import drivers and catkinize

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 21 Feb 2013 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-arbotix-sensors
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/arbotix_sensors
Standards-Version: 3.9.2

Package: ros-indigo-arbotix-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-arbotix-python
Description: Extends the arbotix_node package with a number of more sophisticated ROS wrappers for common devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-arbotix-sensors//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
